StatsHub Docs
Endpoint referenceDashboard

/dashboard/bot/stats-rules

New rules are enabled on creation, so adding one takes effect immediately.

POST
/api/v2/dashboard/bot/stats-rules

New rules are enabled on creation, so adding one takes effect immediately.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

curl -X POST "https://example.com/api/v2/dashboard/bot/stats-rules" \  -H "Content-Type: application/json" \  -d '{    "statisticKey": "string",    "statisticsLabel": "string"  }'
{  "$schema": "https://example.com/schemas/PlayerStatsRulesBot.json",  "createdAt": "string",  "id": 0,  "isEnabled": true,  "statisticKey": "string",  "statisticsLabel": "string",  "updatedAt": "string"}